#
# spec file for package cava
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cava
Version:        0.4.3
Release:        1.1
Summary:        Console-based Audio Visualizer for Alsa
License:        MIT
Group:          Productivity/Multimedia/Sound/Visualization
Url:            https://github.com/karlstav/cava
Source:         https://github.com/karlstav/%{name}/archive/%{version}.tar.gz
BuildRequires:  alsa-devel
BuildRequires:  fftw3-devel
# Use system ini parser instead of building own lib
BuildRequires:  libiniparser-devel >= 4.0
BuildRequires:  libpulse-devel
BuildRequires:  libtool
BuildRequires:  ncurses-devel
# Installing the psf in a directory that comes from kbd
Requires:       kbd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
C.A.V.A. is a bar spectrum audio visualizer for the Linux terminal using ALSA, pulseaudio or fifo buffer for input.

%prep
%setup -q
./autogen.sh
%configure FONT_DIR="%{_datadir}/kbd/consolefonts"

%build
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc README.md LICENSE
%{_bindir}/cava
%dir %{_datadir}/kbd/
%dir %{_datadir}/kbd/consolefonts/
%{_datadir}/kbd/consolefonts/cava.psf

%changelog
* Thu Apr 27 2017 mvetter@suse.com
- Update to 0.4.3:
  new features:
  * support for more colors in ncurses output.
  bugfixes:
  * fixed bug where sensing of low values was done even when no sound
  * fixed bug in raw output bit format check
  * add a check for too many bars >200
- Remove because contained in new version:
  * cava-remove-nested-functions.patch
  * cava-font.patch
* Tue Mar 28 2017 mvetter@suse.com
- Add cava-font.patch:
  Install cava.psf to have nice output on TTYs.
* Tue Mar 28 2017 mvetter@suse.com
- Add cava-remove-nested-functions.patch:
  Remove nested functions to prevent OBS executable stack warning.
* Wed Mar 22 2017 mvetter@suse.com
- Get rid of unnecessary passing of prefix
* Thu Mar 16 2017 mvetter@suse.com
- It needs libiniparser from version 4 onwards
* Thu Mar 16 2017 mvetter@suse.com
- Update to 0.4.2:
  * added auto pulseaudio source mode
  * pulsaudio is now default
  * cava is now cavamp
  * pushing 'r' now reloads audio
  * Added console title
  * added pulseadio support
  * added confg script
  * removed commanline argumets
  * added optional config path
  * added autosens feature
  * added setting of bar width, bar spacing and frequency bandwidth to config file.
  * autodetection of alsa loopback interface
- Use proper group
- Update description
* Tue Jul 28 2015 mvetter@suse.com
- Honor optflags
* Tue Jul 28 2015 mvetter@suse.com
- Creating initial package for version 0.3.2
